Package com.independentsoft.office.word.math

# Class BorderBox

java.lang.Object
com.independentsoft.office.word.math.BorderBox

All Implemented Interfaces:
  `IContentElement`, `IRunTrackChangeContent`, `IMathElement`, `IMathMathElement`

public class BorderBox extends Object implements IMathMathElement
The Class BorderBox.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BorderBox()`
  Instantiates a new border box.
  `BorderBox​(InternalXMLStreamReader reader)`
  Instantiates a new border box.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BorderBox`
  `clone()`
  `Base`
  `getBase()`
  Gets the base.
  `List<IContentElement>`
  `getContentElements()`
  `ControlProperties`
  `getControlProperties()`
  Gets the control properties.
  `ExtendedBoolean`
  `getHideBottomEdge()`
  Gets the hide bottom edge.
  `ExtendedBoolean`
  `getHideLeftEdge()`
  Gets the hide left edge.
  `ExtendedBoolean`
  `getHideRightEdge()`
  Gets the hide right edge.
  `ExtendedBoolean`
  `getHideTopEdge()`
  Gets the hide top edge.
  `ExtendedBoolean`
  `getStrikethroughBottomLeftToTopRight()`
  Gets the strikethrough bottom left to top right.
  `ExtendedBoolean`
  `getStrikethroughHorizontal()`
  Gets the strikethrough horizontal.
  `ExtendedBoolean`
  `getStrikethroughTopLeftToBottomRight()`
  Gets the strikethrough top left to bottom right.
  `ExtendedBoolean`
  `getStrikethroughVertical()`
  Gets the strikethrough vertical.
  `void`
  `setBase​(Base baseArgument)`
  Sets the base.
  `void`
  `setHideBottomEdge​(ExtendedBoolean hideBottomEdge)`
  Sets the hide bottom edge.
  `void`
  `setHideLeftEdge​(ExtendedBoolean hideLeftEdge)`
  Sets the hide left edge.
  `void`
  `setHideRightEdge​(ExtendedBoolean hideRightEdge)`
  Sets the hide right edge.
  `void`
  `setHideTopEdge​(ExtendedBoolean hideTopEdge)`
  Sets the hide top edge.
  `void`
  `setStrikethroughBottomLeftToTopRight​(ExtendedBoolean strikethroughBottomLeftToTopRight)`
  Sets the strikethrough bottom left to top right.
  `void`
  `setStrikethroughHorizontal​(ExtendedBoolean strikethroughHorizontal)`
  Sets the strikethrough horizontal.
  `void`
  `setStrikethroughTopLeftToBottomRight​(ExtendedBoolean strikethroughTopLeftToBottomRight)`
  Sets the strikethrough top left to bottom right.
  `void`
  `setStrikethroughVertical​(ExtendedBoolean strikethroughVertical)`
  Sets the strikethrough vertical.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BorderBox

    public BorderBox()
    Instantiates a new border box.

  - ### BorderBox

    public BorderBox​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new border box.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`

  - ### clone

    public BorderBox clone()
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IMathElement`
    Specified by:
      `clone` in interface `IMathMathElement`
    Specified by:
      `clone` in interface `IRunTrackChangeContent`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getBase

    public Base getBase()
    Gets the base.
    Returns:
      the base

  - ### setBase

    public void setBase​(Base baseArgument)
    Sets the base.
    Parameters:
      `baseArgument` - the new base

  - ### getHideBottomEdge

    public ExtendedBoolean getHideBottomEdge()
    Gets the hide bottom edge.
    Returns:
      the hide bottom edge

  - ### setHideBottomEdge

    public void setHideBottomEdge​(ExtendedBoolean hideBottomEdge)
    Sets the hide bottom edge.
    Parameters:
      `hideBottomEdge` - the new hide bottom edge

  - ### getHideLeftEdge

    public ExtendedBoolean getHideLeftEdge()
    Gets the hide left edge.
    Returns:
      the hide left edge

  - ### setHideLeftEdge

    public void setHideLeftEdge​(ExtendedBoolean hideLeftEdge)
    Sets the hide left edge.
    Parameters:
      `hideLeftEdge` - the new hide left edge

  - ### getHideRightEdge

    public ExtendedBoolean getHideRightEdge()
    Gets the hide right edge.
    Returns:
      the hide right edge

  - ### setHideRightEdge

    public void setHideRightEdge​(ExtendedBoolean hideRightEdge)
    Sets the hide right edge.
    Parameters:
      `hideRightEdge` - the new hide right edge

  - ### getHideTopEdge

    public ExtendedBoolean getHideTopEdge()
    Gets the hide top edge.
    Returns:
      the hide top edge

  - ### setHideTopEdge

    public void setHideTopEdge​(ExtendedBoolean hideTopEdge)
    Sets the hide top edge.
    Parameters:
      `hideTopEdge` - the new hide top edge

  - ### getStrikethroughBottomLeftToTopRight

    public ExtendedBoolean getStrikethroughBottomLeftToTopRight()
    Gets the strikethrough bottom left to top right.
    Returns:
      the strikethrough bottom left to top right

  - ### setStrikethroughBottomLeftToTopRight

    public void setStrikethroughBottomLeftToTopRight​(ExtendedBoolean strikethroughBottomLeftToTopRight)
    Sets the strikethrough bottom left to top right.
    Parameters:
      `strikethroughBottomLeftToTopRight` - the new strikethrough bottom left to top right

  - ### getStrikethroughHorizontal

    public ExtendedBoolean getStrikethroughHorizontal()
    Gets the strikethrough horizontal.
    Returns:
      the strikethrough horizontal

  - ### setStrikethroughHorizontal

    public void setStrikethroughHorizontal​(ExtendedBoolean strikethroughHorizontal)
    Sets the strikethrough horizontal.
    Parameters:
      `strikethroughHorizontal` - the new strikethrough horizontal

  - ### getStrikethroughTopLeftToBottomRight

    public ExtendedBoolean getStrikethroughTopLeftToBottomRight()
    Gets the strikethrough top left to bottom right.
    Returns:
      the strikethrough top left to bottom right

  - ### setStrikethroughTopLeftToBottomRight

    public void setStrikethroughTopLeftToBottomRight​(ExtendedBoolean strikethroughTopLeftToBottomRight)
    Sets the strikethrough top left to bottom right.
    Parameters:
      `strikethroughTopLeftToBottomRight` - the new strikethrough top left to bottom right

  - ### getStrikethroughVertical

    public ExtendedBoolean getStrikethroughVertical()
    Gets the strikethrough vertical.
    Returns:
      the strikethrough vertical

  - ### setStrikethroughVertical

    public void setStrikethroughVertical​(ExtendedBoolean strikethroughVertical)
    Sets the strikethrough vertical.
    Parameters:
      `strikethroughVertical` - the new strikethrough vertical

  - ### getControlProperties

    public ControlProperties getControlProperties()
    Gets the control properties.
    Returns:
      the control properties